# Current user

This endpoint lets you get:

* Information about the current user &#x20;
* All organizations this user has access to (it requires `organization_r`)
* All jobs related to these organizations (it requires `jobs_r`)
* All stages (aka columns) related to these jobs

{% hint style="info" %}
&#x20;This endpoint requires `me_r` scope.
{% endhint %}

## current user

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/users/current`

#### Query Parameters

| Name          | Type    | Description           |
| ------------- | ------- | --------------------- |
| organizations | boolean | Include organizations |
| jobs          | boolean | Include jobs          |
| stages        | boolean | Include jobs stages   |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "avatar_url": "https://www.welcomekit.co/uploads/user/image/GXj/J/avatar.jpg",
  "display_name": "Foo Bar"
}

```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/users/current" \
    -H "Content-Type: application/json" \
    -H "Authorization: bearer WK_API_KEY"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/candidates-api/get-current-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
